%global commit e969a3f37bf673502b0759c56d4d3ee380ec672b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%define min_python_version 3.6

%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

%define pypiname imaplib2
Name:           python3-%{pypiname}
Version:        3.6
Release:        %mkrel 1
Group:          Development
Summary:        IMAP library for Python

License:        MIT
URL:            https://imaplib2.readthedocs.io/
# This was from Fedora's patched up pre-3.6 version bundled into OfflineIMAP 8.0.0. All the included patches and more are included in 3.6.
%dnl Source0:        https://github.com/jazzband/imaplib2/archive/%{commit}/%{pypiname}-%{shortcommit}.tar.gz
Source0:        https://github.com/jazzband/imaplib2/archive/v%{version}/%{pypiname}-%{version}.tar.gz

Patch0:         imaplib2-tls1.3.diff

BuildArch:      noarch

BuildRequires:  pkgconfig(python3) >= %{min_python_version}
BuildRequires:  python3dist(setuptools)

Requires:       python3 >= %{min_python_version}

%description
Based on RFC 3501 and original imaplib module.

This is a version of imaplib that uses threads to allow full use of the IMAP4 concurrency features, and to de-couple a user of imaplib from i/o lags, except where explicitly allowed.

Documented in imaplib2.html

%prep
%autosetup -p1 -n %{pypiname}-%{version}

%build

%py3_build

%install
%py3_install

%check

%files
%license LICENCE
%doc *.md imaplib2/imaplib2.html
%{python3_sitelib}/%{pypiname}/
%{python3_sitelib}/%{pypiname}-*-py%{python3_version}.egg-info

%changelog
